Bug 1298299 - [RFE] ability to use multiple ranges in a subnet
[RFE] ability to use multiple ranges in a subnet
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Networking (Show other bugs)
6.1.5
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
http://projects.theforeman.org/issues...
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 12:06 EST by David Juran
Modified: 2017-04-04 01:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 10949 None None None 2016-07-27 03:04 EDT

  None (edit)
Description David Juran 2016-01-13 12:06:17 EST
Description of problem:
Occasionally a customer may want to deploy hosts to a fragmented subnet where several free "holes" exist. In a subnet definition, as it looks today, it is only possible to define a single range in a subnet in which the satellite can create hosts. The ability to specify multiple ranges would be useful


Version-Release number of selected component (if applicable):
Satellite 6.1.5



Additional info:
The issue can currently be worked around by manually reserving the used IP:s in the DHCP configuration. Nevertheless, the ability to do this using the web UI would be nice.
Comment 1 Bryan Kearney 2016-04-13 15:54:49 EDT
Created redmine issue http://projects.theforeman.org/issues/14627 from this bug
Comment 2 Bryan Kearney 2016-07-26 15:06:54 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2016-08-10 15:12:48 EDT
Upstream bug component is Other
Comment 4 Bryan Kearney 2016-08-10 16:13:48 EDT
Upstream bug component is Provisioning
Comment 5 Bryan Kearney 2016-08-10 18:13:26 EDT
Upstream bug component is Other
Comment 6 Bryan Kearney 2016-08-18 10:12:09 EDT
Upstream bug component is Networking
Comment 7 Marek Hulan 2016-10-03 07:06:00 EDT
This should be possible with Satellite 6.2 by defining multiple subnets with different range, since the validation on network range has been removed. Would that be a sufficient solution?

Note You need to log in before you can comment on or make changes to this bug.